
%global meadversion 2.16.0
%global namedversion 2.16.0.redhat-00052
%global meadalpha .redhat_00052
%global meadrel .1
%global serial 18
%global namedversionrel redhat-00052

%bcond_with javadoc
%bcond_without mead
## starting from 2.6.3 redhat-00057, natives are now a separate project
#  and will have its own wrapper build containing the artemis-native.jar
%bcond_with native

%{?scl:%scl_package activemq-artemis}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.16.0.redhat-00052

Name:           %{?scl_prefix}activemq-artemis
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        ActiveMQ Artemis
Group:          Development/Java

%if %with mead
Source100: apache-artemis-2.16.0.redhat-00052-source-release.zip
%endif

License:        ASL 2.0
URL:            http://apache.org/activemq
Provides:       %{?scl_prefix}artemis = %{epoch}:%{version}-%{release}
%if %with native
Requires:       %{?scl_prefix}activemq-artemis-native = %{epoch}:%{version}-%{release}
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-amqp-protocol
Summary:        artemis-amqp-protocol
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-amqp-protocol = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-amqp-protocol
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-stomp-protocol
Summary:        artemis-stomp-protocol
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-stomp-protocol = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-stomp-protocol
%{summary}.

# the jar no longer exists in 1.5.0
%if 0
%package -n %{?scl_prefix}activemq-artemis-proton-plug
Summary:        artemis-proton-plug
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-proton-plug = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-proton-plug
%{summary}.
%endif

%package -n %{?scl_prefix}activemq-artemis-hornetq-protocol
Summary:        artemis-hornetq-protocol
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-hornetq-protocol = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-hornetq-protocol
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-hqclient-protocol
Summary:        artemis-hqclient-protocol
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-hqclient-protocol = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-hqclient-protocol
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-cli
Summary:        ActiveMQ Artemis CLI
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-cli = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-cli
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-commons
Summary:        ActiveMQ Artemis Commons
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-commons = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-commons
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-dto
Summary:        ActiveMQ Artemis DTO
Group:          Development/Java

Provides:       %{?scl_prefix}activemq-artemis-dto = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-dto
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-selector
Summary:        ActiveMQ Artemis Selector Implementation
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-selector = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-selector
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-core-client
Summary:        ActiveMQ Artemis Core Client
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-core-client = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-core-client
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-server
Summary:        ActiveMQ Artemis Server
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-server = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-server
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-jms-client
Summary:        ActiveMQ Artemis JMS Client
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-jms-client = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-jms-client
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-jms-server
Summary:        ActiveMQ Artemis JMS Server
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-jms-server = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-jms-server
%{summary}.

%if %with native
%package -n %{?scl_prefix}activemq-artemis-native
Summary:        ActiveMQ Artemis Native POM
Group:          Development/Java

# XXX: artemis-native
Provides:       %{?scl_prefix}artemis-native-jar = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-native
%{summary}.
%endif

%package -n %{?scl_prefix}activemq-artemis-journal
Summary:        ActiveMQ Artemis Journal
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-journal = %{epoch}:%{version}-%{release}
%if %with native
Requires:       %{?scl_prefix}activemq-artemis-native = %{epoch}:%{version}-%{release}
%endif

%description -n %{?scl_prefix}activemq-artemis-journal
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-ra
Summary:        ActiveMQ Artemis RAR POM
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-ra = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-ra
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-service-extensions
Summary:        ActiveMQ Artemis Service Extensions
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-service-extensions = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-service-extensions
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-jdbc-store
Summary:        ActiveMQ Artemis JDBC Store
Group:          Development/Java


%description -n %{?scl_prefix}activemq-artemis-jdbc-store
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-tools
Summary:        ActiveMQ Artemis Tools
Group:          Development/Java


%description -n %{?scl_prefix}activemq-artemis-tools
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for artemis
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-javadoc = %{epoch}:%{version}-%{release}
BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n apache-artemis-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/artemis-amqp-protocol-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-amqp-protocol-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-amqp-protocol-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-amqp-protocol-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-amqp-protocol-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-amqp-protocol-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-stomp-protocol-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-stomp-protocol-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-stomp-protocol-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-stomp-protocol-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-stomp-protocol-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-stomp-protocol-%{namedversion}-sources.jar
%if 0
%{__cp} -p %{_sourcedir}/artemis-proton-plug-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-proton-plug-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-proton-plug-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-proton-plug-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-proton-plug-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-proton-plug-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-hornetq-protocol-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-hornetq-protocol-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-hornetq-protocol-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-hornetq-protocol-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-hornetq-protocol-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-hornetq-protocol-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-hqclient-protocol-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-hqclient-protocol-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-hqclient-protocol-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-hqclient-protocol-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-hqclient-protocol-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-hqclient-protocol-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-cli-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-cli-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-cli-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-cli-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-cli-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-cli-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-commons-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-commons-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-commons-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-commons-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-commons-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-commons-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-dto-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-dto-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-dto-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-dto-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-dto-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-dto-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-selector-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-selector-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-selector-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-selector-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-selector-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-selector-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-core-client-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-core-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-core-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-core-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-core-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-core-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-server-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-server-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-server-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-server-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-server-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-server-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-jms-client-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-jms-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-jms-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-jms-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-jms-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-jms-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-jms-server-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-jms-server-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-jms-server-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-jms-server-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-jms-server-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-jms-server-%{namedversion}-sources.jar
%if %with native
%{__cp} -p %{_sourcedir}/artemis-native-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-native-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-native-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-native-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-native-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-native-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-journal-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-journal-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-journal-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-journal-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-journal-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-journal-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-ra-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-ra-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-ra-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-ra-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-ra-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-ra-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-service-extensions-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-service-extensions-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-service-extensions-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-service-extensions-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-service-extensions-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-service-extensions-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-jdbc-store-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-jdbc-store-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-jdbc-store-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-jdbc-store-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-jdbc-store-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-jdbc-store-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-tools-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-tools-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-tools-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-tools-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-tools-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-tools-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/activemq-artemis-%{namedversion}
unzip -qq %{_sourcedir}/artemis-pom-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/activemq-artemis-%{namedversion} -x META-INF/\*
%{__ln_s} extra-tests-%{namedversion} %{buildroot}%{_javadocdir}/activemq-artemis
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}activemq-artemis
%defattr(0644,root,root,0755)
%doc NOTICE README.md

%files -n %{?scl_prefix}activemq-artemis-amqp-protocol
%defattr(0644,root,root,0755)
%{_javadir}/artemis-amqp-protocol-%{namedversion}.jar
%{_javadir}/artemis-amqp-protocol.jar
%if %with javadoc
%{_javadir}/artemis-amqp-protocol-%{namedversion}-javadoc.jar
%{_javadir}/artemis-amqp-protocol-javadoc.jar
%endif
%{_javadir}/artemis-amqp-protocol-%{namedversion}-sources.jar
%{_javadir}/artemis-amqp-protocol-sources.jar

%files -n %{?scl_prefix}activemq-artemis-stomp-protocol
%defattr(0644,root,root,0755)
%{_javadir}/artemis-stomp-protocol-%{namedversion}.jar
%{_javadir}/artemis-stomp-protocol.jar
%if %with javadoc
%{_javadir}/artemis-stomp-protocol-%{namedversion}-javadoc.jar
%{_javadir}/artemis-stomp-protocol-javadoc.jar
%endif
%{_javadir}/artemis-stomp-protocol-%{namedversion}-sources.jar
%{_javadir}/artemis-stomp-protocol-sources.jar

%if 0
%files -n %{?scl_prefix}activemq-artemis-proton-plug
%defattr(0644,root,root,0755)
%{_javadir}/artemis-proton-plug-%{namedversion}.jar
%{_javadir}/artemis-proton-plug.jar
%if %with javadoc
%{_javadir}/artemis-proton-plug-%{namedversion}-javadoc.jar
%{_javadir}/artemis-proton-plug-javadoc.jar
%endif
%{_javadir}/artemis-proton-plug-%{namedversion}-sources.jar
%{_javadir}/artemis-proton-plug-sources.jar
%endif

%files -n %{?scl_prefix}activemq-artemis-hornetq-protocol
%defattr(0644,root,root,0755)
%{_javadir}/artemis-hornetq-protocol-%{namedversion}.jar
%{_javadir}/artemis-hornetq-protocol.jar
%if %with javadoc
%{_javadir}/artemis-hornetq-protocol-%{namedversion}-javadoc.jar
%{_javadir}/artemis-hornetq-protocol-javadoc.jar
%endif
%{_javadir}/artemis-hornetq-protocol-%{namedversion}-sources.jar
%{_javadir}/artemis-hornetq-protocol-sources.jar

%files -n %{?scl_prefix}activemq-artemis-hqclient-protocol
%defattr(0644,root,root,0755)
%{_javadir}/artemis-hqclient-protocol-%{namedversion}.jar
%{_javadir}/artemis-hqclient-protocol.jar
%if %with javadoc
%{_javadir}/artemis-hqclient-protocol-%{namedversion}-javadoc.jar
%{_javadir}/artemis-hqclient-protocol-javadoc.jar
%endif
%{_javadir}/artemis-hqclient-protocol-%{namedversion}-sources.jar
%{_javadir}/artemis-hqclient-protocol-sources.jar

%files -n %{?scl_prefix}activemq-artemis-cli
%defattr(0644,root,root,0755)
%{_javadir}/artemis-cli-%{namedversion}.jar
%{_javadir}/artemis-cli.jar
%if %with javadoc
%{_javadir}/artemis-cli-%{namedversion}-javadoc.jar
%{_javadir}/artemis-cli-javadoc.jar
%endif
%{_javadir}/artemis-cli-%{namedversion}-sources.jar
%{_javadir}/artemis-cli-sources.jar

%files -n %{?scl_prefix}activemq-artemis-commons
%defattr(0644,root,root,0755)
%{_javadir}/artemis-commons-%{namedversion}.jar
%{_javadir}/artemis-commons.jar
%if %with javadoc
%{_javadir}/artemis-commons-%{namedversion}-javadoc.jar
%{_javadir}/artemis-commons-javadoc.jar
%endif
%{_javadir}/artemis-commons-%{namedversion}-sources.jar
%{_javadir}/artemis-commons-sources.jar

%files -n %{?scl_prefix}activemq-artemis-dto
%defattr(0644,root,root,0755)
%{_javadir}/artemis-dto-%{namedversion}.jar
%{_javadir}/artemis-dto.jar
%if %with javadoc
%{_javadir}/artemis-dto-%{namedversion}-javadoc.jar
%{_javadir}/artemis-dto-javadoc.jar
%endif
%{_javadir}/artemis-dto-%{namedversion}-sources.jar
%{_javadir}/artemis-dto-sources.jar

%files -n %{?scl_prefix}activemq-artemis-selector
%defattr(0644,root,root,0755)
%{_javadir}/artemis-selector-%{namedversion}.jar
%{_javadir}/artemis-selector.jar
%if %with javadoc
%{_javadir}/artemis-selector-%{namedversion}-javadoc.jar
%{_javadir}/artemis-selector-javadoc.jar
%endif
%{_javadir}/artemis-selector-%{namedversion}-sources.jar
%{_javadir}/artemis-selector-sources.jar

%files -n %{?scl_prefix}activemq-artemis-core-client
%defattr(0644,root,root,0755)
%{_javadir}/artemis-core-client-%{namedversion}.jar
%{_javadir}/artemis-core-client.jar
%if %with javadoc
%{_javadir}/artemis-core-client-%{namedversion}-javadoc.jar
%{_javadir}/artemis-core-client-javadoc.jar
%endif
%{_javadir}/artemis-core-client-%{namedversion}-sources.jar
%{_javadir}/artemis-core-client-sources.jar

%files -n %{?scl_prefix}activemq-artemis-server
%defattr(0644,root,root,0755)
%{_javadir}/artemis-server-%{namedversion}.jar
%{_javadir}/artemis-server.jar
%if %with javadoc
%{_javadir}/artemis-server-%{namedversion}-javadoc.jar
%{_javadir}/artemis-server-javadoc.jar
%endif
%{_javadir}/artemis-server-%{namedversion}-sources.jar
%{_javadir}/artemis-server-sources.jar

%files -n %{?scl_prefix}activemq-artemis-jms-client
%defattr(0644,root,root,0755)
%{_javadir}/artemis-jms-client-%{namedversion}.jar
%{_javadir}/artemis-jms-client.jar
%if %with javadoc
%{_javadir}/artemis-jms-client-%{namedversion}-javadoc.jar
%{_javadir}/artemis-jms-client-javadoc.jar
%endif
%{_javadir}/artemis-jms-client-%{namedversion}-sources.jar
%{_javadir}/artemis-jms-client-sources.jar

%files -n %{?scl_prefix}activemq-artemis-jms-server
%defattr(0644,root,root,0755)
%{_javadir}/artemis-jms-server-%{namedversion}.jar
%{_javadir}/artemis-jms-server.jar
%if %with javadoc
%{_javadir}/artemis-jms-server-%{namedversion}-javadoc.jar
%{_javadir}/artemis-jms-server-javadoc.jar
%endif
%{_javadir}/artemis-jms-server-%{namedversion}-sources.jar
%{_javadir}/artemis-jms-server-sources.jar

%if %with native
%files -n %{?scl_prefix}activemq-artemis-native
%defattr(0644,root,root,0755)
%{_javadir}/artemis-native-%{namedversion}.jar
%{_javadir}/artemis-native.jar
%if %with javadoc
%{_javadir}/artemis-native-%{namedversion}-javadoc.jar
%{_javadir}/artemis-native-javadoc.jar
%endif
%{_javadir}/artemis-native-%{namedversion}-sources.jar
%{_javadir}/artemis-native-sources.jar
%endif

%files -n %{?scl_prefix}activemq-artemis-journal
%defattr(0644,root,root,0755)
%{_javadir}/artemis-journal-%{namedversion}.jar
%{_javadir}/artemis-journal.jar
%if %with javadoc
%{_javadir}/artemis-journal-%{namedversion}-javadoc.jar
%{_javadir}/artemis-journal-javadoc.jar
%endif
%{_javadir}/artemis-journal-%{namedversion}-sources.jar
%{_javadir}/artemis-journal-sources.jar

%files -n %{?scl_prefix}activemq-artemis-ra
%defattr(0644,root,root,0755)
%{_javadir}/artemis-ra-%{namedversion}.jar
%{_javadir}/artemis-ra.jar
%if %with javadoc
%{_javadir}/artemis-ra-%{namedversion}-javadoc.jar
%{_javadir}/artemis-ra-javadoc.jar
%endif
%{_javadir}/artemis-ra-%{namedversion}-sources.jar
%{_javadir}/artemis-ra-sources.jar

%files -n %{?scl_prefix}activemq-artemis-service-extensions
%defattr(0644,root,root,0755)
%{_javadir}/artemis-service-extensions-%{namedversion}.jar
%{_javadir}/artemis-service-extensions.jar
%if %with javadoc
%{_javadir}/artemis-service-extensions-%{namedversion}-javadoc.jar
%{_javadir}/artemis-service-extensions-javadoc.jar
%endif
%{_javadir}/artemis-service-extensions-%{namedversion}-sources.jar
%{_javadir}/artemis-service-extensions-sources.jar

%files -n %{?scl_prefix}activemq-artemis-jdbc-store
%defattr(0644,root,root,0755)
%{_javadir}/artemis-jdbc-store-%{namedversion}.jar
%{_javadir}/artemis-jdbc-store.jar
%if %with javadoc
%{_javadir}/artemis-jdbc-store-%{namedversion}-javadoc.jar
%{_javadir}/artemis-jdbc-store-javadoc.jar
%endif
%{_javadir}/artemis-jdbc-store-%{namedversion}-sources.jar
%{_javadir}/artemis-jdbc-store-sources.jar

%files -n %{?scl_prefix}activemq-artemis-tools
%defattr(0644,root,root,0755)
%{_javadir}/artemis-tools-%{namedversion}.jar
%{_javadir}/artemis-tools.jar
%if %with javadoc
%{_javadir}/artemis-tools-%{namedversion}-javadoc.jar
%{_javadir}/artemis-tools-javadoc.jar
%endif
%{_javadir}/artemis-tools-%{namedversion}-sources.jar
%{_javadir}/artemis-tools-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/activemq-artemis-%{namedversion}
%{_javadocdir}/activemq-artemis
%endif

%changelog
* Wed Feb 28 2024 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-18.redhat_00052.1
- Built by CPaaS

* Thu Oct 26 2023 Harsha Cherukuri <hcheruku@redhat.com> - 2.16.0-17.redhat_00051.1
- Wrapper build 2.16.0.redhat_00051

* Fri Oct 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-16.redhat_00049.1
- Built by CPaaS

* Wed Aug 30 2023 Harsha Cherukuri <hcheruku@redhat.com> - 2.16.0-15.redhat_00049.1
- Rewrap

* Wed Aug 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-14.redhat_00048.1
- Built by CPaaS

* Wed Aug 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-13.redhat_00048.1
- Built by CPaaS

* Thu Jun 15 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-12.redhat_00048.1
- Built by CPaaS

* Mon Apr 17 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-11.redhat_00047.1
- Built by CPaaS

* Mon Aug 22 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-10.redhat_00045.1
- Built by CPaaS

* Wed May 11 2022 Permaine Cheung <pcheung@redhat.com> - 2.16.0-9.redhat_00042.1
- Relax Requires: and let wildfly takes care of dependency management

* Fri Apr 29 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-8.redhat_00042.1
Built by CPaaS



* Thu Feb 10 2022 Permaine Cheung <pcheung@redhat.com> - 2.16.0-7.redhat_00034.1
- 2.16.0.redhat_00034

* Thu Feb 10 2022 Harsha Cherukuri <hcheruku@redhat.com> - 2.16.0-6.redhat_00032.1
- Building wrapper for version 2.16.0.redhat_00034.

* Tue Nov 30 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-6.redhat_00022.1
Built by CPaaS

* Mon Oct 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-5.redhat_00032.1
Built by CPaaS

* Fri Oct 08 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-4.redhat_00029.1
Built by CPaaS

* Thu Jun 24 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-3.redhat_00022.1
Built by CPaaS

* Mon Apr 19 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.16.0-2.redhat_00013.1
Built by CPaaS

* Tue Feb 09 2021 Permaine Cheung <pcheung@redhat.com> - 2.16.0-1.redhat_00007.1
- 2.16.0.redhat-00007

* Fri Jun 28 2019 Permaine Cheung <pcheung@redhat.com> - 2.7.0-1.redhat_00057.1
- 2.6.3.redhat-00057

* Fri Jun 28 2019 Permaine Cheung <pcheung@redhat.com> - 2.7.0-1.redhat_00057.1
- 2.6.3.redhat-00057

* Fri Jun 28 2019 Permaine Cheung <pcheung@redhat.com> - 2.7.0-1.redhat_00057.1
- 2.6.3.redhat-00057

* Fri Jun 28 2019 Permaine Cheung <pcheung@redhat.com> - 2.7.0-1.redhat_00057.1
- 2.6.3.redhat-00057

* Fri Jun 28 2019 Permaine Cheung <pcheung@redhat.com> - 2.7.0-1.redhat_00057.1
- 2.6.3.redhat-00057

* Mon Mar 18 2019 Permaine Cheung <pcheung@redhat.com> - 2.6.3-5.redhat_00020.1
- 2.6.3.redhat_00020

* Thu Mar 07 2019 Permaine Cheung <pcheung@redhat.com> - 2.6.3-4.redhat_00017.2
- 2.6.3.redhat-00017

* Fri Nov 30 2018 Permaine Cheung <pcheung@redhat.com> - 2.6.3-3.redhat_00014.1
- 2.6.3.redhat-00014

* Tue Nov 06 2018 Permaine Cheung <pcheung@redhat.com> - 2.6.3-2.redhat_00012.1
- 2.6.3.redhat_00012

* Thu Sep 27 2018 Yong Yang <yyang@redhat.com> - 2.6.3-1.redhat_00002.1
- Upgrade to 2.6.3.redhat-00002, add tools subpackage

* Mon Jun 11 2018 Permaine Cheung <pcheung@redhat.com> - 1.5.5.012-2.redhat_1.1
- Rewrap for 7.2.0

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.5.5.012-1.redhat_1.1
- Upgrade to 1.5.5.012-redhat-1

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.5.5.012-1.redhat_1.1
- Upgrade to 1.5.5.012-redhat-1

* Mon Mar 26 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.5.5.010-1.redhat_1.1
- upgrade to 1.5.5.010-redhat-1

* Wed Mar 21 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.5.5-1.jbossorg_010_redhat_1.1
- upgrade to 1.5.5.jbossorg-010-redhat-1

* Thu Jan 25 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.5.5.009-1.redhat_1.1
- upgrade to 1.5.5.009-redhat-1

* Fri Sep 15 2017 Petr Sakar <psakar@redhat.com> - 1.5.5.008-1.redhat_1.1
- upgrade to 1.5.5.008-redhat-1

* Thu Aug 24 2017 Petr Sakar <psakar@redhat.com> - 1.5.5.007-1.redhat_1.1
- upgrade to 1.5.5.007-redhat-1

* Sat Jul 29 2017 Petr Sakar <psakar@redhat.com> - 1.5.5.006-1.redhat_1.1
- upgrade to 1.5.5.006-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 1.5.5.005-1.redhat_1.1
- upgrade to 1.5.5.005-redhat-1

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 1.5.5.004-1.redhat_1.1
- upgrade to 1.5.5.004-redhat-1

* Tue Jun 06 2017 Petr Sakar <psakar@redhat.com> - 1.5.5.002-1.redhat_1.1
- upgrade to 1.5.5.002-redhat-1

* Wed May 24 2017 Martin Minar <mminar@redhat.com> - 1.5.5.001-1.redhat_1.1
- update to version 1.5.5.001

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 1.5.4.004-1.redhat_1.1
- update to version 1.5.4.004

* Wed Apr 26 2017 Martin Minar <mminar@redhat.com> - 1.5.4.003-1.redhat_1.1
- update to version 1.5.4.003

* Tue Apr 04 2017 Martin Minar <mminar@redhat.com> - 1.5.4.002-1.redhat_1.1
- Upgrade to version 1.5.4.002

* Tue Feb 28 2017 Petr Sakar <psakar@redhat.com> - 1.5.3.003-1.redhat_1.1
- upgrade to 1.5.3.003-redhat-1

* Thu Feb 16 2017 David Walluck <dwalluck@redhat.com> - 1.5.3.002-3.redhat_1.1
- change artemis-jdbc-store package name to activemq-artemis-jdbc-store

* Thu Feb 16 2017 David Walluck <dwalluck@redhat.com> - 1.5.3.002-2.redhat_1.1
- add artemis-jdbc-store

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 1.5.3.002-1.redhat_1.1
- upgrade to 1.5.3.002-redhat-1

* Thu Dec 15 2016 Petr Sakar <psakar@redhat.com> - 1.5.1-1.redhat_1.1
- upgrade to 1.5.1.redhat-1

* Thu Nov 10 2016 Petr Sakar <psakar@redhat.com> - 1.5.0-1.redhat_1.1
- upgrade to 1.5.0.redhat-1

* Tue Nov 08 2016 Petr Sakar <psakar@redhat.com> - 1.5.0-1.redhat_1.1
- upgrade to 1.5.0.redhat-1

* Sun Oct 23 2016 Petr Sakar <psakar@redhat.com> - 1.4.0-1.redhat_1.1
- upgrade to 1.4.0.redhat-1

* Fri Jul 29 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-15.SP18_redhat_1.1
- Upgrade to 1.1.0.SP18-redhat-1

* Wed May 25 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-14.SP17_redhat_1.1
- Upgrade to 1.1.0.SP17-redhat-1

* Mon Apr 18 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-13.SP16_redhat_1.1
- upgrade to 1.1.0.SP16-redhat-1

* Fri Apr 08 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-12.SP15_redhat_1.1
- upgrade to 1.1.0.SP15-redhat-1

* Wed Mar 16 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-11.SP14_redhat_1.1
- upgrade to 1.1.0.SP14-redhat-1

* Tue Feb 23 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-10.SP13_redhat_1.1
- upgrade to 1.1.0.SP13-redhat-1

* Thu Feb 04 2016 David Walluck <dwalluck@redhat.com> - 1.1.0-9.redhat_7.1
- fix %%setup macro call

* Tue Feb 02 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-9.redhat_7.1
- Upgrade to 1.1.0.redhat-7

* Thu Jan 28 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-8.redhat_6.1
- Upgrade to 1.1.0.redhat-6

* Tue Jan 05 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-7.redhat_5.1
- Upgrade to 1.1.0.redhat-5

* Thu Dec 10 2015 Petr Sakar <psakar@redhat.com> - 1.1.0-6.redhat_4.1
- Upgrade to 1.1.0.redhat-4
  JBEAP-2112

* Mon Dec 07 2015 Permaine Cheung <pcheung@redhat.com> - 1.1.0-5.redhat_3.1
- Remove R: amqp-protocol, proton-plug and stomp-protocol as they 
  are no longer in EAP7 ER2

* Mon Dec 07 2015 Petr Sakar <psakar@redhat.com> - 1.1.0-4.redhat_3.1
- Upgrade to 1.1.0.redhat-3

* Mon Nov 23 2015 Permaine Cheung <pcheung@redhat.com> - 1.1.0-3.redhat_2.1
- Add eap7-activemq-artemis-hqclient-protocol subpackage (new in CR1)

* Tue Nov 03 2015 David Walluck <dwalluck@redhat.com> - 1.1.0-2.redhat_2.1
- sync with version 1.1.0.wildfly-008

* Wed Oct 21 2015 David Walluck <dwalluck@redhat.com> - 1.1.0-1.redhat_1.1
- 1.1.0.wildfly.007

* Mon Aug 17 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-9.redhat_2.1
- fix Requires

* Mon Aug 17 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-7.redhat_2.1
- rename all packages to activemq-artemis-

* Wed Aug 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-6.redhat_2.1
- add cli and dto packages

* Mon Jul 13 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-5.redhat_2.1
- fix Requires

* Fri Jul 10 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-4.redhat_2.1
- update Requires

* Fri Jul 10 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-3.redhat_2.1
- fix Requires

* Fri Jul 10 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-2.redhat_2.1
- build and deploy tests

* Thu Jul 09 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-1.redhat_1.1
- release
